> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://help.kajabi.com/feedback

```json
{
  "path": "/api-reference/contacts/create-a-contact",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Create a contact

> Create a contact for a site.
## Contact attributes
* New contact does not support `external_user_id` attribute.
* See custom_fields endpoint to discover attributes for using custom fields attributes.

## Create a contact
Request body must include a `site` relationship.
Example request body:
```json
{
  "data": {
    "type": "contacts",
    "attributes": {
      "name": "John Doe",
      "email": "john.doe@example.com"
    },
    "relationships": {
      "site": {
        "data": {
          "type": "sites",
          "id": "123"
        }
      }
    }
  }
}
```
Response will include the newly created contact resource.
```json
{
  "data": {
    "id": "456",
    "type": "contacts",
    "attributes": {
      "name": "John Doe",
      "email": "john.doe@example.com",
      "address_line_1": null,
      "address_line_2": null,
      "address_city": null,
      "address_country": null,
      "address_state": null,
      "address_zip": null,
      "phone_number": null,
      "business_number": null,
      "subscribed": false,
      "external_user_id": null,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    },
    "relationships": {
      "site": {
        "data": {
          "id": "123",
          "type": "sites"
        }
      }
    }
  }
}
```




## OpenAPI

````yaml /openapi.yaml post /v1/contacts
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/contacts:
    post:
      tags:
        - Contacts
      summary: Create a contact
      description: >
        Create a contact for a site.

        ## Contact attributes

        * New contact does not support `external_user_id` attribute.

        * See custom_fields endpoint to discover attributes for using custom
        fields attributes.


        ## Create a contact

        Request body must include a `site` relationship.

        Example request body:

        ```json

        {
          "data": {
            "type": "contacts",
            "attributes": {
              "name": "John Doe",
              "email": "john.doe@example.com"
            },
            "relationships": {
              "site": {
                "data": {
                  "type": "sites",
                  "id": "123"
                }
              }
            }
          }
        }

        ```

        Response will include the newly created contact resource.

        ```json

        {
          "data": {
            "id": "456",
            "type": "contacts",
            "attributes": {
              "name": "John Doe",
              "email": "john.doe@example.com",
              "address_line_1": null,
              "address_line_2": null,
              "address_city": null,
              "address_country": null,
              "address_state": null,
              "address_zip": null,
              "phone_number": null,
              "business_number": null,
              "subscribed": false,
              "external_user_id": null,
              "created_at": "2024-01-15T10:30:00Z",
              "updated_at": "2024-01-15T10:30:00Z"
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "123",
                  "type": "sites"
                }
              }
            }
          }
        }

        ```
      parameters: []
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                    attributes:
                      $ref: '#/components/schemas/contacts_attributes'
                    relationships:
                      type: object
                      properties:
                        site:
                          type: object
                          properties:
                            data:
                              type: object
                              properties:
                                id:
                                  type: string
                                type:
                                  type: string
                              required:
                                - id
                                - type
                  required:
                    - type
                    - attributes
                    - relationships
              required:
                - data
      responses:
        '201':
          description: Success, new contact created
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/contacts_show_response'
        '400':
          description: Bad request, Site relationship is required
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_bad_request'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
        '422':
          description: Unprocessable entity, attributes have semantic errors
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unprocessable'
      security:
        - Bearer: []
components:
  schemas:
    contacts_attributes:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        business_number:
          type:
            - string
            - 'null'
        subscribed:
          type: boolean
        address_line_1:
          type:
            - string
            - 'null'
        address_line_2:
          type:
            - string
            - 'null'
        address_city:
          type:
            - string
            - 'null'
        address_state:
          type:
            - string
            - 'null'
        address_country:
          type:
            - string
            - 'null'
        external_user_id:
          type: string
          nullable: true
          description: Supported once contact is granted an offer or makes a purchase
        address_zip:
          type:
            - string
            - 'null'
        custom_1:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_2:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_3:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    contacts_show_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              $ref: '#/components/schemas/contacts_attributes'
            relationships:
              type: object
              properties:
                customer:
                  type: object
                  nullable: true
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
                offers:
                  type: object
                  nullable: true
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifiers'
                    links:
                      type: object
                      properties:
                        self:
                          type: string
                site:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
                tags:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifiers'
            links:
              type: object
              properties:
                customer:
                  type: string
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_bad_request:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_unprocessable:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    resource_identifiers:
      type: array
      items:
        $ref: '#/components/schemas/resource_identifier'
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````